Bug 190120 - Staging (and other misc. updates) for sysutils/radmind
Summary: Staging (and other misc. updates) for sysutils/radmind
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-22 20:00 UTC by mikeg
Modified: 2014-09-06 05:16 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (61.44 KB, patch)
2014-05-22 20:00 UTC, mikeg
no flags Details | Diff
Revised patch (45.22 KB, patch)
2014-06-29 13:08 UTC, Thomas Zander
riggs: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mikeg 2014-05-22 20:00:01 UTC
The attached patch converts sysutils/radmind for staging.
Staging QA tests pass and packaging appears to be working correctly for both root and non-root users.


This patch also removes the "ignore timestamps" option (subtly broken and no longer used in my environment so I can't validate it) and adds upstream bug fixes through 2012-05-22 which are not currently in the distfiles.

Recommend applying this patch with "patch -E" to remove dead items from the files directory which are now contained in the rollup patch.

Fix: Patch attached

Patch attached with submission follows:
Comment 1 Carlo Strub freebsd_committer 2014-05-29 19:25:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cs

I'll take it
Comment 2 Carlo Strub freebsd_committer 2014-05-29 19:29:22 UTC
State Changed
From-To: open->feedback

Can you please re-submit using the official patch scheme. Typically 'make makepatch' will help. See: http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/slow-patch.html
Comment 3 Carlo Strub freebsd_committer 2014-05-29 19:43:32 UTC
Responsible Changed
From-To: cs->freebsd-ports-bugs

Back to pool.
Comment 4 Thomas Zander freebsd_committer 2014-06-29 13:08:08 UTC
Created attachment 144244 [details]
Revised patch

Patch is based on maintainer's original patch but fixes some issues:
- Uses patch convention (multiple files instead of a single huge patch file)
- Add LICENSE*
- Fix build and staging on 9.x systems with old pkg_* tools
- Silence some superfluous warnings
- Handle stripping of installed binaries
- Pet portlint

@Maintainer: Please review/test and approve if you agree with the revised patch
Comment 5 commit-hook freebsd_committer 2014-07-12 09:31:14 UTC
A commit references this bug:

Author: riggs
Date: Sat Jul 12 09:31:07 UTC 2014
New revision: 361606
URL: http://svnweb.freebsd.org/changeset/ports/361606

Log:
  - Update to new revision 2014052201
  - Stagify
  - Add LICENSE*
  - Remove IGNORE_TIMESTAMPS option
  - Handle file ownerships via pkg-plist macros
  - Silence superfluous warnings
  - Handle stripping of installed binaries
  - Pet portlint

  PR:		190120
  Submitted by:	mikeg@bsd-box.net (maintainer)
  Reviewed by:	riggs
  Approved by:	mentors (implicit), maintainer (timeout)

Changes:
  head/sysutils/radmind/Makefile
  head/sysutils/radmind/files/patch-.gitignore
  head/sysutils/radmind/files/patch-.gitmodules
  head/sysutils/radmind/files/patch-Makefile.in
  head/sysutils/radmind/files/patch-README
  head/sysutils/radmind/files/patch-aclocal.m4
  head/sysutils/radmind/files/patch-argcargv.c
  head/sysutils/radmind/files/patch-command.c
  head/sysutils/radmind/files/patch-command.h
  head/sysutils/radmind/files/patch-configure.ac
  head/sysutils/radmind/files/patch-contrib__specialist
  head/sysutils/radmind/files/patch-fsdiff.c
  head/sysutils/radmind/files/patch-ktcheck.c
  head/sysutils/radmind/files/patch-lapply.c
  head/sysutils/radmind/files/patch-largefile.h
  head/sysutils/radmind/files/patch-lcksum.c
  head/sysutils/radmind/files/patch-man__lcreate.1
  head/sysutils/radmind/files/patch-man__rash.1
  head/sysutils/radmind/files/patch-mkdirs.c
  head/sysutils/radmind/files/patch-ra.sh
  head/sysutils/radmind/files/patch-t2pkg.c
  head/sysutils/radmind/files/patch-transcript.c
  head/sysutils/radmind/files/patch-transcript.h
  head/sysutils/radmind/files/patch-update.c
  head/sysutils/radmind/pkg-descr
  head/sysutils/radmind/pkg-plist